SDL_GameController Struct Reference
Collaboration diagram for SDL_GameController:
[legend]

## Data Fields

SDL_Joystick * | joystick
int | ref_count
Uint8 | hatState [4]
struct _SDL_ControllerMapping | mapping
struct _SDL_GameController * | next

## Detailed Description

Definition at line 95 of file SDL_gamecontroller.c.

## Field Documentation

Uint8 SDL_GameController::hatState[4]

Definition at line 99 of file SDL_gamecontroller.c.

SDL_Joystick* SDL_GameController::joystick

Definition at line 97 of file SDL_gamecontroller.c.

Referenced by SDL_JoystickOpen().

struct _SDL_ControllerMapping SDL_GameController::mapping

Definition at line 100 of file SDL_gamecontroller.c.

struct _SDL_GameController* SDL_GameController::next

Definition at line 101 of file SDL_gamecontroller.c.

int SDL_GameController::ref_count

Definition at line 98 of file SDL_gamecontroller.c.

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c